
QGIS Application - Bug report #11666

Processing graphical modeler can't open previously saved .model files.

2014-11-17 06:23 AM - Major Balazs

Status: Rejected

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.6.0 Regression?: No

Operating System: Widows, OSx Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 19917

Description

The graphical modeler can't open previously saved .model files. From the processing toolbox I can open it.

In the modeler the algorithms doesn't work properly. For example I want to use join attribute algorithm, but the input layer 2 drop down box

doesn't work. From the toolbox it works.

Tested on Windows 7 and OSx 10.9. Same result.

Related issues:

Related to QGIS Application - Bug report # 11694: Cannot select second layer ... Closed 2014-11-19

History

#1 - 2014-11-17 10:59 AM - Giovanni Manghi

- Target version deleted (Version 2.6)

- Status changed from Open to Feedback

- Priority changed from High to Normal

please share your model.

#2 - 2014-11-17 11:38 AM - Major Balazs

- File test.model added

Atached is a test model. I want to join attribute tables of two vectors, but i can only select table as input layer 2.

#3 - 2014-11-17 11:46 PM - Alexander Bruy

- Category changed from 94 to Processing/Modeller

#4 - 2014-11-17 11:48 PM - Giovanni Manghi

works fine here on Linux and Windows (from within the modeller).

#5 - 2014-11-18 01:08 AM - Major Balazs

Dear Giovanni, Can you also open the file from modeler, and select a layer file both for input layer 1 and input layer 2?

Can you maybe help me what can cause this problem by me? thanks
#6 - 2014-11-18 11:09 AM - Giovanni Manghi

Major Balazs wrote:

Dear Giovanni, Can you also open the file from modeler, and select a layer file both for input layer 1 and input layer 2?

Can you maybe help me what can cause this problem by me? thanks

yes I can.

are you sure are you running the latest processing version?

check inside .qgis2/python/plugins

if you have a "processing" folder delete it and restart qgis.

#7 - 2014-11-19 02:27 AM - Major Balazs

I checked the .qgis2/python/plugins folder, but there wasnt any processing folder, neither in Osx nor in Windows.

I tried to make a new clean install. I uninstalled Qgis from windows, deleted qgis from application in Osx, deleted .qgis folder, deleted from registry, but still

doesnt work. Same problem on Osx. I dont know if there can be still any hidden files, wich I have not deleted.

When i was uninstalling I found some older version of qgis, wich I uninstalled before the clean install. So it is possible, that the problem was beacause of

this. But now there is only qgis 2.6. So if you have any idea I were really very appreciate it.

#8 - 2014-12-08 03:46 AM - Anita Graser

- Subject changed from Processing graphical modeler error to Processing graphical modeler can't open previously saved .model files.

The join issue was addressed and fixed in #11694

#9 - 2014-12-08 03:52 AM - Anita Graser

Are you trying to open a model created using Processing 2.6? I cannot reproduce any issues testing that.

But older models are incompatible as far as I know.

#10 - 2014-12-08 04:14 AM - Giovanni Manghi

But older models are incompatible as far as I know.

I believe that Victor or Alexander made something to allow import models made with old version of processing. A few days ago I import a model (pretty

complicated) done surely more than a year ago and was added with no issues (and worked too).

#11 - 2014-12-08 04:17 AM - Major Balazs
Yes, I saved the model with 2.6. In the toolbox I can find it, but I cant open from the modeler.

#12 - 2015-04-10 05:39 AM - Alexander Bruy

- Resolution set to worksforme

- Status changed from Feedback to Rejected

Just checked with attached model, it opens without errors in master and 2.8.1. Also after saving this model listed in the toolbox and can be executed from

it.

Files

error.png 98.9 KB 2014-11-17 Major Balazs

test.model 5.31 KB 2014-11-17 Major Balazs
